
QGIS Application - Bug report #17412

Failed to rename field to "xxx", is the field name unique

2017-11-07 04:19 PM - Matthias Kuhn

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 25309

Description

When sorting the rows in the fields tab of the vector layer properties and accepting the dialog, an error message appears, informing about

renaming of fields. In fact, there is no intention by anyone to rename a field in such a situation.

Applies to QGIS 2.18 and master.

Associated revisions

Revision ba243e55 - 2017-11-07 05:15 PM - David 

References #17412 Fixes problem when changeing sort but not when renaming

When sort and then toggle edditing, the problem was that it wanted to rename all the fields

Whis is avoided now by checking the indexes

But still problems open when one wants to rename fields in unsorted layout

Revision de33017b - 2017-11-08 10:18 AM - David 

Fix #17412 Sorting fixed, no troubles when editing after sorting

Issue was, that the cellchange is triggered at re-sorting - so we need to check the names

Following issue was, that when removing or renaming something in re-sorted table - so there was a bug that referenced to the row instead of the index

Thought about to remove mIndexedWidgets completely, but when renumbering after delete in unsorted table, we cannot reference to the row order.

Revision 93396153 - 2017-11-08 01:43 PM - David 

Fix #17412 Sorting fixed, no troubles when editing after sorting

Issue was, that the cellchange is triggered at re-sorting or renaming something in re-sorted table - so there was a bug that referenced to the row instead of

the index

History

#1 - 2017-11-08 01:42 PM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|93396153bb6c427f4d48e167049f5f3b4e7ab058.
